Pull request: https://github.com/theforeman/foreman/p
Description

In the settings page, there are several tabs regarding global options or plugins options.

- The columns' name like "General", "Auth", ... are not translated

- In the Provisionning tabs, these 2 strings are not translated:    * "Certificate that Foreman will use to encrypt websockets"     *

"Private key that Foreman will use to encrypt websockets"

Related issues:

Related to Foreman - Bug #7167: Setting names are not translated Closed 08/20/2014

Blocked by Foreman - Feature #17120: Allow custom name labels for setting cat... Closed 10/27/2016

Associated revisions

Revision 0118ab4e - 11/04/2016 11:59 AM - Dominic Cleal

fixes #7152 - translate setting category names

History

#1 - 08/19/2014 11:19 AM - Dominic Cleal

Looks like the category names are translated, but not extracted anywhere.

The websockets settings appear to be in Transifex for me, maybe the translated versions haven't been pulled back from Transifex yet (

https://www.transifex.com/projects/p/foreman/viewstrings/#fr/foreman/29158086?q=websocket).

#2 - 08/20/2014 07:31 AM - Dominic Cleal

- Subject changed from String not translated in foreman settings (Administer/Settings) and is not available from transifex to Category strings not

translated in foreman settings (Administer/Settings)

#3 - 08/20/2014 07:31 AM - Dominic Cleal

- Related to Bug #7167: Setting names are not translated added

#4 - 02/10/2015 02:06 PM - Slava Bendersky

Hello Everyone,

Is any update on this issue ? It impossible preserve setting and replace certificate to commercial one for novnc certificate. And I can't find where

settings for it settings.yaml it get ignored.

Slava.

#5 - 11/03/2016 11:17 AM - Dominic Cleal

- Blocked by Feature #17120: Allow custom name labels for setting category added

#6 - 11/03/2016 11:17 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal
https://www.transifex.com/projects/p/foreman/viewstrings/#fr/foreman/29158086?q=websocket


Slava, this issue is about translation, nothing to do with SSL certificates.

#7 - 11/03/2016 11:18 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3992 added

#8 - 11/04/2016 12:02 PM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0118ab4eca3b8c9122d32f7c5c9ec477e6bab5eb.

#9 - 11/08/2016 04:13 AM - Dominic Cleal

- translation missing: en.field_release set to 189
